org.apache.lucene.util.mutable

## Class MutableValue

- java.lang.Object
- - org.apache.lucene.util.mutable.MutableValue

All Implemented Interfaces:
  Comparable<MutableValue>

Direct Known Subclasses:
  MutableValueBool, MutableValueDouble, MutableValueFloat, MutableValueInt, MutableValueLong, MutableValueStr

    public abstract class MutableValue
    extends Object
    implements Comparable<MutableValue>

Base class for all mutable values.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

### Field Summary

Fields
`boolean` `exists`

### Constructor Summary

Constructors
Constructor and Description
`MutableValue()`

### Method Summary

Methods
`abstract int` `compareSameType(Object other)`
`int` `compareTo(MutableValue other)`
`abstract void` `copy(MutableValue source)`
`abstract MutableValue` `duplicate()`
`boolean` `equals(Object other)`
`abstract boolean` `equalsSameType(Object other)`
`boolean` `exists()`
`abstract int` `hashCode()`
`abstract Object` `toObject()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### exists

    public boolean exists

### Constructor Detail

#### MutableValue

    public MutableValue()

### Method Detail

#### copy

    public abstract void copy(MutableValue source)

#### duplicate

    public abstract MutableValue duplicate()

#### equalsSameType

    public abstract boolean equalsSameType(Object other)

#### compareSameType

    public abstract int compareSameType(Object other)

#### toObject

    public abstract Object toObject()

#### exists

    public boolean exists()

#### compareTo

    public int compareTo(MutableValue other)

Specified by:
  `compareTo` in interface `Comparable<MutableValue>`

#### equals

    public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

#### hashCode

    public abstract int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`